Build: linux only needs libnsl for LOOKUP_NIS
authorJeremy Harris <jgh146exb@wizmail.org>
Sun, 29 Sep 2019 17:16:12 +0000 (18:16 +0100)
committerJeremy Harris <jgh146exb@wizmail.org>
Sun, 29 Sep 2019 17:16:12 +0000 (18:16 +0100)
src/OS/Makefile-Linux
src/src/EDITME

index cbbe01f..ae9f249 100644 (file)
@@ -21,7 +21,7 @@ CFLAGS_DYNAMIC ?= -shared -rdynamic
 DBMLIB = -ldb
 USE_DB = yes
 
-LIBS = -lnsl -lcrypt -lm
+LIBS = -lcrypt -lm
 LIBRESOLV = -lresolv
 
 X11=/usr/X11R6
index 965f058..906d50a 100644 (file)
@@ -432,6 +432,9 @@ LOOKUP_DNSDB=yes
 # LOOKUP_NWILDLSEARCH=yes
 
 
+# Some platforms may need this for LOOKUP_NIS:
+# LIBS += -lnsl
+
 #------------------------------------------------------------------------------
 # If you have set LOOKUP_LDAP=yes, you should set LDAP_LIB_TYPE to indicate
 # which LDAP library you have. Unfortunately, though most of their functions